
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Eclipse Form程序设计指南之入门 / iVAN</title>

    <meta name="description" content="Eclipse Form程序设计指南之入门 程序|设计 1.介绍 ·Eclipse Form是Eclipse 3.0的新特性 ·Eclipse Form是一组定制小部件和支持类组成的插件,以前由PDE和Update组件内部使用,在Eclipse 3.0中已经成为公用API ·Eclipse Form提供: * 适合包含到内容区域(编辑器或视图)中的&quot;Form&quot;概念 * 用来管理颜色.超链接组和其它象SWT控件一样的Form外观的工具包 * 象HTML表格一样布局的新布局管理器 * 为Form设计的定制控件(超链接.图像 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Eclipse Form程序设计指南之入门</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>程序|设计</p>
<p>　　1、介绍</p>
<p>　　·Eclipse Form是Eclipse 3.0的新特性</p>
<p>　　·Eclipse Form是一组定制小部件和支持类组成的插件，以前由PDE和Update组件内部使用，在Eclipse 3.0中已经成为公用API</p>
<p>　　·Eclipse Form提供：</p>
<p>　　* 适合包含到内容区域（编辑器或视图）中的“Form”概念</p>
<p>　　* 用来管理颜色、超链接组和其它象SWT控件一样的Form外观的工具包</p>
<p>　　* 象HTML表格一样布局的新布局管理器</p>
<p>　　* 为Form设计的定制控件（超链接、图像链接、可滚动的composite等）</p>
<p>　　* 每页是一个Form的多页编辑器（就象PDE）</p>
<p>　　2、快速入门</p>
<p>　　（1）HelloWorld例子</p>
<p>　　·下面的例子在视图中创建一个空的Form</p>
<p>public class FormView extends ViewPart {</p>
<p>　private FormToolkit toolkit;<br />　private ScrolledForm form;</p>
<p>　public void createPartControl(Composite parent) {<br />　　toolkit = new FormToolkit(parent.getDisplay());<br />　　form = toolkit.createScrolledForm(parent);<br />　　form.setText("Hello, Eclipse Forms");<br />　}</p>
<p>　public void setFocus() {<br />　　form.setFocus();<br />　}</p>
<p>　public void dispose() {<br />　　toolkit.dispose();<br />　　super.dispose();<br />　}<br />}</p>
<p>　　·首先要创建FormToolkit对象实例</p>
<p>　　·由FormToolkit创建Form对象（这里是ScrolledForm）</p>
<p>　　·调用ScrolledForm的setText()方法，在Form的顶部设置标题内容</p>
<p>　　·注意：最后要dispose管理资源的FormToolkit对象</p>
<p>　　·要在Workbench中运行，需要plugin.xml中，将org.eclipse.ui.forms添加到必需插件列表，并注册视图</p>
<p>＜?xml version="1.0" encoding="UTF-8"?＞<br />＜?eclipse version="3.0"?＞<br />＜plugin<br />id="FormSamples"<br />name="FormSamples Plug-in"<br />version="1.0.0"<br />provider-name="nelson_tu"<br />class="org.xqtu.samples.FormSamplesPlugin"＞</p>
<p>＜runtime＞<br />＜library name="FormSamples.jar"＞<br />＜export name="*"/＞<br />＜/library＞<br />＜/runtime＞</p>
<p>＜requires＞<br />＜import plugin="org.eclipse.ui"/＞<br />＜import plugin="org.eclipse.core.runtime"/＞<br />＜import plugin="org.eclipse.ui.forms"/＞<br />＜/requires＞</p>
<p>＜extension<br />point="org.eclipse.ui.views"＞<br />＜view<br />class="org.xqtu.samples.views.FormView"<br />name="Form Sample"<br />id="FormView"/＞<br />＜/extension＞<br />＜/plugin＞</p>
<p>　　（2）添加内容</p>
<p>public void createPartControl(Composite parent) {<br />　toolkit = new FormToolkit(parent.getDisplay());<br />　form = toolkit.createScrolledForm(parent);<br />　form.setText("Hello, Eclipse Forms");</p>
<p>　Composite body = form.getBody();<br />　GridLayout layout = new GridLayout();<br />　body.setLayout(layout);<br />　Hyperlink link = toolkit.createHyperlink(body, "Click here.",SWT.WRAP);<br />　link.addHyperlinkListener(new HyperlinkAdapter() {<br />　　public void linkActivated(HyperlinkEvent e) {<br />　　　System.out.println("Link activated!");<br />　　}<br />　});<br />}</p>
<p>　　·首先获得Form的体内容，它是一个Composite对象</p>
<p>　　·设置其布局为GridLayout</p>
<p>　　·通过FormToolkit创建一个超链接（Hyperlink）控件</p>
<p>　　·添加超链接事件侦听器，响应超链接的点击</p>
<p>　　（3）添加通用控件</p>
<p>　　·由于Form的体内容是一个Composite对象，所以允许在其中创建SWT控件</p>
<p>　　·但是SWT控件是被设计为适合窗口、对话框的，所以在Form中使用是有问题的</p>
<p>　　·在Form中，使用FormToolkit创建对应的通用控件</p>
<p>public void createPartControl(Composite parent) {<br />　toolkit = new FormToolkit(parent.getDisplay());<br />　form = toolkit.createScrolledForm(parent);<br />　form.setText("Hello, Eclipse Forms");</p>
<p>　Composite body = form.getBody();<br />　GridLayout layout = new GridLayout();<br />　body.setLayout(layout);<br />　Hyperlink link = toolkit.createHyperlink(body, "Click here.",SWT.WRAP);<br />　link.addHyperlinkListener(new HyperlinkAdapter() {<br />　　public void linkActivated(HyperlinkEvent e) {<br />　　　System.out.println("Link activated!");<br />　　}<br />　});</p>
<p>　layout.numColumns = 2;<br />　GridData gd = new GridData();<br />　gd.horizontalSpan = 2;<br />　link.setLayoutData(gd);<br />　Label label = toolkit.createLabel(body, "Text field label:");<br />　Text text = toolkit.createText(body, "");<br />　text.setLayoutData(new GridData(GridData.FILL_HORIZONTAL));<br />　text.setData(FormToolkit.KEY_DRAW_BORDER, FormToolkit.TEXT_BORDER);<br />　Button button = toolkit.createButton(body,"An example of a checkbox in a form", SWT.CHECK);<br />　gd = new GridData();<br />　gd.horizontalSpan = 2;<br />　button.setLayoutData(gd);<br />　toolkit.paintBordersFor(body);<br />}</p>
<p>　　·上面的例子添加了三个通用控件：Label、Text和CheckBox</p>
<p>　　·由于缺省创建的Text控件的外观是3D的，而要达到象PDE一样的FLAT外观，需要做些额外工作：</p>
<p>　　1) 调用setData()方法，添加重画边框的附加信息</p>
<p>　　2) 调用FormToolkit的paintBordersFor()方法重画FLAT外观的边框</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-19 04:41:15</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/eclipse/" title="eclipse">eclipse</a>, <a href="https://www.iamivan.net/tag/%e6%8e%a7%e4%bb%b6/" title="控件">控件</a>, <a href="https://www.iamivan.net/tag/form/" title="form">form</a>, <a href="https://www.iamivan.net/tag/parent/" title="&num;parent">&num;parent</a>, <a href="https://www.iamivan.net/tag/composite/" title="Composite">Composite</a>, <a href="https://www.iamivan.net/tag/toolkit/" title="toolkit">toolkit</a>, <a href="https://www.iamivan.net/tag/gridlayout/" title="gridlayout">gridlayout</a>, <a href="https://www.iamivan.net/tag/%e8%be%b9%e6%a1%86%e9%a2%9c%e8%89%b2eclipse/" title="边框颜色eclipse">边框颜色eclipse</a>, <a href="https://www.iamivan.net/tag/griddata/" title="GridData">GridData</a>, <a href="https://www.iamivan.net/tag/gridlayout%e5%b8%83%e5%b1%80/" title="gridlayout布局">gridlayout布局</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Eclipse Form程序设计指南之入门的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Nz7AddM.html" rel="bookmark">Eclipse Form程序设计指南（1）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				程序|设计 1.介绍 l         Eclipse Form是Eclipse 3.0的新特性 l         Eclipse Form是一组定制小部件和支持类组成的插件,以前由PDE和Update组件内部使用,在Eclipse 3.0中已经成为公用API l         Eclipse Form提供: n         适合包含到内容区域(编辑器或视图)中的&quot;Form&quot;概念 n         用来管理颜色.超链接组和其它象SWT控件一样的Form外观的工具包 n   			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/VMr1gxb.html" rel="bookmark">Eclipse Form程序设计指南（3）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				程序|设计 4.复杂控件 (1)       ExpandableComposite l         Web页面中一个通用的主题是具有收缩一部分页面内容的能力 l         Eclipse Form也提供了这样一个控件:ExpandableComposite l         下面的代码片断是使用ExpandableComposite的一个例子:               ExpandableComposite ec = toolkit.createExpandableCompos			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/baleRnz.html" rel="bookmark">Eclipse Form程序设计快速入门</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.介绍 Eclipse Form是Eclipse 3.0的新特性. Eclipse Form是一组定制小部件和支持类组成的插件,以前由PDE和Update组件内部使用,在Eclipse 3.0中已经成为公用API. Eclipse Form提供: ·适合包含到内容区域(编辑器或视图)中的&quot;Form&quot;概念 ·用来管理颜色.超链接组和其它象SWT控件一样的Form外观的工具包 ·象HTML表格一样布局的新布局管理器 ·为Form设计的定制控件(超链接.图像链接.可滚动的composite			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qbaKvJp.html" rel="bookmark">Eclipse Form设计指南之定制布局</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				设计 3.定制布局 Eclipse Form提供了2个新的布局 (1)TableWrapLayout ·问题:如果将上例中超链接的文本设置的足够长 link.setText(&quot;This is an example of a form that is much longer and will need to wrap.&quot;); 即使设置了SWT.WRAP,文本内容不会自动WRAP,这是因为体内容的布局是GridLayout ·Eclipse Form提供替代的布局TableWrapLayo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlmQODp.html" rel="bookmark">112&lowbar;《Delphi2高级程序设计指南》</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;Delphi2高级程序设计指南&gt; Delphi 教程 系列书籍 (112) &lt;Delphi2高级程序设计指南&gt; 网友(邦)整理 EMail: shuaihj@163.com 下载地址: Part1 Part2 Part3 Part4 Part5 Part6 作者: 姚庭宝 出版社: 电子工业出版社 内容简介 Delphi 2.0高级程序设计指南(非常的优秀) 目录 第一部分 基础篇 第一章 Delphi快速入门 第二章 Delphi面向对象的编程方法 第三章 字符串列表及应用 第			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/VMrK2vp.html" rel="bookmark">《阿里巴巴Java开发手册》IDEA插件与Eclipse插件使用指南</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先非常感谢大家对插件的支持与意见,这里详细介绍一下&lt;阿里巴巴Java开发手册&gt;IDEA插件与Eclipse插件的安装使用. 关于规约插件的背景介绍,可见上篇文章:提升团队研发效能利器,&lt;阿里巴巴Java开发手册&gt;插件全球首发(附插件下载地址) 一.阿里巴巴Java开发手册IDEA插件使用指南 通过Jetbrains官方仓库安装 1. 打开 Settings &gt;&gt; Plugins &gt;&gt; Browse repositories... 2. 在搜索框输入alib			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7M0ZDDz.html" rel="bookmark">JDBCTM 指南：入门2 - 连接</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JDBCTM 指南:入门2 - 连接 2 - 连接 本概述是从&lt;JDBCTM Database Access from JavaTM: A Tutorial and Annotated Reference &gt;这本书中摘引来的.JavaSoft 目前正在准备这本书.这本书是一本教程,同时也是 JDBC 的重要参考手册,它将作为 Java 系列的组成部份在 1997 年春季由 Addison-Wesley 出版公司出版. 2.1 概述 Connection 对象代表与数据库的连接.连接过程包括所执			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vMNdyxz.html" rel="bookmark">（albertyi原创）Eclipse 安装，调试快速入门</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				快速入门|原创                                (albertyi原创)Eclipse 安装,调试快速入门 最近一直用UltraEdit和gmake来做java程序,感觉确实很轻省,但是常常怀念VC强大的程序编辑,调试功能... 遂决定找一个强大的IDE环境,经过分析网上N个帖子,我的目标逐渐锁定了Eclipse; 安装非常简单,从网上下载了最新的Eclipse3.1.0以及最新的j2sdk1.4.2. 一.安装步骤如下: 1.卸载机器上老版本的JDK 2.安装最新			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvKvO8p.html" rel="bookmark">MEF程序设计指南八：部件生命周期&lpar;Parts Lifetimeime&rpar;托管</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MEF中的每一个可进行动态装配的导出部件都是具有生命周期的,在没有特别需求的情况下一般都没有对生命周期进行管理,而实际上 MEF已为每一个部件进行了默认的生命周期管理,MEF的生命周期分为三种:Any.Shared及NonShared,被定义在 System.ComponentModel.Composition.CreationPolicy枚举对象中. namespace System.ComponentModel.Composition { public enum CreationPolicy			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bB01op.html" rel="bookmark" class="title">&amp;amp&semi;&num;106avascript对象与数组参考大全&lpar;9&rpar;</a>
					<div>
						参考|对象|数组 LN10 10的自然对数(约等于2.302) LOG2E 以2为底的e的对数(约等于1.442) LOG10E 以10为底的e的对数(约等于o.434) PI ∏的值(约等于3.14 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3lG3M.html" rel="bookmark" class="title">如何制作倒影</a>
					<div>
						倒影 在Photoshop图像制作过程中,特别是进行图像合成时,有时需要制作图像的倒影.使用Photoshop制作倒影很简单,下面举例说明. 1.打开两幅小狗图像,如上面前两幅图像所示.我们把第二幅图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7Lmqb.html" rel="bookmark" class="title">为freetextbox1&period;6&period;5上传图片加上水印</a>
					<div>
						上传|上传图片 Graphics的DrawImage方法,定义了多种原型,可以在制定位置绘制指定Image对象.利用此方法可以在图片对象上再绘制一个水印图片.结合FreeTextBox方便的图片上传功 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Vzwa45M.html" rel="bookmark" class="title">八个简单的图片设计技巧</a>
					<div>
						译者的话:如何让一张普通的图片变得更加有力量?如何有意识地引导读者的眼睛去到图片的某一区域? 如何更加有效地传达你的对象?八个简单的设计技巧,让你轻松容易完成任务.在图片创造焦点,也让你的图片获得了新 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOPm5b.html" rel="bookmark" class="title">改进 ASP 的字符串处理性能</a>
					<div>
						性能|字符串|性能|字符串 摘要:大多数 Active Server Pages (ASP) 应用程序都要通过字符串连接来创建呈现给用户的 HTML 格式的数据.本文对几种创建此 HTML 数据流的方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBa1Oz.html" rel="bookmark" class="title">让窗体飘动起来--C＃中Timer组件用法</a>
					<div>
						Timer组件是也是一个WinForm组件了,和其他的WinForm组件的最大区别是:Timer组件是不可见的,而其他大部分的组件都是都是可见的,可以设计的.Timer组件也被封装在名称空间Syste ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQA2ob.html" rel="bookmark" class="title">C语言学习笔记整理</a>
					<div>
						一.sizeof() 1.sizeof的使用:sizeof操作符以字节形式给出了其操作数的存储大小. sizeof操作符不能用于函数类型,不完全类型或位字段.不完全类型指具有未知存储大小的数据类型,如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7m28M.html" rel="bookmark" class="title">SQL Server误区：在SQL Server 2000兼容模式下不能使用DMV</a>
					<div>
						误区 #13.在SQL Server 2000兼容模式下不能使用DMV 错误 对于兼容模式已经存在了很多误解.80的兼容模式的数据库是否意味着能够附加或恢复到SQL Server 2000数据库?当然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyreZJp.html" rel="bookmark" class="title">Android中如何显示Emoji表情字符</a>
					<div>
						一.下载AndroidEmoji.ttf字体 地址1:Github Android Platform 地址2:AndroidEmoji.ttf.zip 二.使用 2.1将字体拷贝到assets/fon ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAaw8eM.html" rel="bookmark" class="title">Linux基础教程之命令的使用</a>
					<div>
						对于 Linux 新手,或者那些想要重新审视或改进自己对基本 Linux 概念(比如:复制和移动文件.创建符号和硬链接.设置文件系统对象所有权和权限以及同管道和重定向一起使用 Linux 的标准文本处 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrK5DOp.html" rel="bookmark" class="title">TCP&sol;IP学习笔记&lpar;7&rpar;</a>
					<div>
						一.SNMP:简单网络管理协议 基于TCP/IP的网络管理包括两部分:网络管理站(manager)和被管理的网络单元(被管设备).这些被管设备的共同点就是都运行TCP/IP协议.管理进程和代理进程之间 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOKWZM.html" rel="bookmark" class="title">ubuntu7&period;10 server nagios3&period;03</a>
					<div>
						今天刚装的ubuntu server7.10 去nagios看到有新版本,就决定装一下`第一次在ubuntu里面装`便把 他记录下来,nagios很强大的,可以与很多软件整合的,以后这篇文章慢慢修改! ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7ow3b.html" rel="bookmark" class="title">3D MAX&plus;PS制作新锐视觉效果立体文字教程</a>
					<div>
						教程的主要精粹是3Ds Max如何混合PS创造出新锐视觉效果极佳的主题文字设计.更希望通过这次实例讲解能成功地把在平面设计上没有3D基础 的同学们带入这个跨平台创作领域上.别看到3D就怕了,其实没有那 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqL44Rb.html" rel="bookmark" class="title">PhotoShop制作汽车驾驶学校DM宣传单</a>
					<div>
						使用的软件:Photoshop CS5 (+AI) 适合的读者:能熟练操作PS的相关工具的PS爱好者   有客户临时决定要制作宣传单,并提供了张LOGO素材,附加需要写上的文字,而且说要加上简单的地图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAl1Kb.html" rel="bookmark" class="title">让Iframe自适应高度</a>
					<div>
						不带边框的iframe因为能和网页无缝的结合从而不刷新页面的情况下更新页面的部分数据成为可能,可是 iframe的大小却不像层那样可以&quot;伸缩自如&quot;,所以带来了使用上的麻烦,给ifr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAaRjKM.html" rel="bookmark" class="title">php实现兼容2038年后Unix时间戳转换函数</a>
					<div>
						 这篇文章主要介绍了php实现兼容2038年后Unix时间戳转换函数,使用方法和就的函数一样,非常实用,推荐给大家,希望大家能够喜欢.     使用方法跟旧的函数一模一样.   代码如下: funct ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnx112b.html" rel="bookmark" class="title">WPS文字2013上划线和下划线的添加方法</a>
					<div>
						  ①输入好文字,然后单击菜单栏--插入--形状,选择直线. ②在文字上方画出一条直线,然后右击,设置对象格式. ③在这个界面我们可以设置线条的颜色类型等等. ④这样上划线就设置好了,重新输入一行文字 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkXdWb.html" rel="bookmark" class="title">电脑如何快速定位文件夹</a>
					<div>
						  1. 快速定位目标文件夹 要快速定位并打开快捷方式所指向的文件夹,在Windows Server平台或目前使用的Windows 8.1.Windows 10环境下,可在快捷方式图标上点击鼠标右键, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOaNy5M.html" rel="bookmark" class="title">Java中Comparable与Comparator的区别</a>
					<div>
						一.概述 Comparable和Comparator都是用来实现集合中元素的比较.排序的. Comparable是在集合内部定义的方法实现的排序,位于java.util下. Comparator是在集 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAADkM.html" rel="bookmark" class="title">asp&period;net数据库连接插入数据时出错，如下：？？？</a>
					<div>
						问题描述 asp.net数据库连接插入数据时出错,如下:??? string constr = &quot;data source=USER-20141030QL;initial catalog=AS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kYLlM.html" rel="bookmark" class="title">操作系统概念学习笔记 13 死锁（一）</a>
					<div>
						操作系统概念学习笔记 13 死锁(一) 所有申请的资源都被其他等待进程占有,那么该等待进程有可能在无法改变其状态,这种情况称为死锁(deadlock). 系统模型 进程在使用资源之前必须先申请资源,在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxj4Ob.html" rel="bookmark" class="title">jq-JQ添加 wmod e属性问题</a>
					<div>
						问题描述 JQ添加 wmod e属性问题 jq添加属性时,发现添加wmode属性时执行不成功,请问一下这个是为什么? 解决方案 IE动态添加wmode没有效果..不会更改wmode..你可以判断下是I ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQeYqp.html" rel="bookmark" class="title">StelsXML 2&period;1发布 JDBC驱动程序</a>
					<div>
						StelsXML是一款JDBC 4类型的驱动程序,用于XML文件的执行SQL查询和其他JDBC操作.它可以让你轻松地访问XML文档中使用标准的SQL语法和XPath表达式中包含的数据.该驱动程序是完全 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwW99mz.html" rel="bookmark" class="title">统一标准让通信业向大融合迈进</a>
					<div>
						作 者:高媛 &quot;融合&quot;与&quot;统一&quot;是近来通信行业最热门的两个词, 它们代表了一个行业的发展方向.第一次对&quot;统一标准&quot;印象深刻是在2007年.当 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLg5DAM.html" rel="bookmark" class="title">一文读懂深度适配网络（DAN）</a>
					<div>
						这周五下午约见了机器学习和迁移学习大牛.清华大学的龙明盛老师.老师为人非常nice,思维敏捷,非常健谈!一不留神就谈了1个多小时,意犹未尽,学到了很多东西!龙明盛老师在博士期间(去年博士毕业)发表的文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JQdWz.html" rel="bookmark" class="title">P2P网贷平台与银行竞争的优势？</a>
					<div>
						小编与您谈谈网贷平台可以采取的反击.先看看民间资本的平台面对低利率的竞争能够采用什么手段来回击吧.中国的银行,如果一定要说专业的话,那么其能力主要体现在两点,第一是对于风险的评估和认识,第二就是创造新 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RBGBz.html" rel="bookmark" class="title">偷菜到魔兽细数09年十大经典游戏&lpar;图&rpar;</a>
					<div>
						[前言] 不知不觉一年又要过去了,回望这一年跌宕起伏的IT业界,虽然受到了全球金融危机的强力冲击,但是在危机爆发的一年后,我们可以发现,经过了这场暴风雨洗礼的IT产业正在朝着更健康的方向发展.与此同时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNv2w4M.html" rel="bookmark" class="title">javascript设计模式之解释器模式详解&lowbar;javascript技巧</a>
					<div>
						神马是&quot;解释器模式&quot;? 先翻开&lt;GOF&gt;看看Definition:给定一个语言,定义它的文法的一种表示,并定义一个解释器,这个解释器使用该表示来解释语言中的句子. 在开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPl5nvp.html" rel="bookmark" class="title">Google尝试即时翻译新技术 同时翻译100种语言</a>
					<div>
						       Google认为,人们未来将能够依靠机器逻辑而非语言学家把文件立即翻译成世界主要语言.      Google的方案名为&quot;统计机器翻译&quot;(statistical ma ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNvBYPM.html" rel="bookmark" class="title">java播放视频</a>
					<div>
						问题描述 java可以播放视频么?.....应该可以播放吧!我怎么就写不出来啊!求高手指导...我知道利用jmf..我用了当是还是没用.......各位高手帮帮忙吧!					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
